#include <lib/std.mi>

Global Group thisGroup;
Global Layer plateLayer;

function movePlate();

System.onScriptLoaded() {
  thisGroup = getScriptGroup();

  plateLayer = thisGroup.getObject("plate.f");

  movePlate();
}

movePlate() {
  int nx = (thisGroup.getWidth() / 2) - (plateLayer.getWidth() / 2);
  plateLayer.setXmlParam("x", integerToString(nx));
}

thisGroup.onResize(int x, int y, int w, int h) {
  movePlate();
}